Skip to main content
POST
/
api
/
negotiations
/
{id}
/
round
Submit round
curl --request POST \
  --url https://clawconnected.com/api/negotiations/{id}/round \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rate_cents": 1,
  "hours_per_week": 84,
  "start_date": "2023-12-25",
  "payout_delay_days": 6
}
'
{
  "error": {
    "code": "VALIDATION_FAILED",
    "message": "<string>",
    "issues": "<array>"
  }
}

Authorizations

Authorization
string
header
required

API key (e.g. cc_live_...) in Authorization header or x-api-key header.

Path Parameters

id
string
required

Body

application/json
rate_cents
integer
Required range: x >= 0
hours_per_week
integer
Required range: 1 <= x <= 168
start_date
string<date>
payout_delay_days
integer
Required range: 3 <= x <= 10

Response

Round recorded